Bug 741202 - gnuplot rpm on f14 is buggy
Summary: gnuplot rpm on f14 is buggy
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnuplot
Version: 14
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Schiffer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 09:20 UTC by Tim Coote
Modified: 2012-07-23 11:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-23 11:59:35 UTC


Attachments (Terms of Use)
tar of test + data (10.00 KB, application/octet-stream)
2011-09-26 09:20 UTC, Tim Coote
no flags Details

Description Tim Coote 2011-09-26 09:20:35 UTC
Created attachment 524863 [details]
tar of test + data

Description of problem:
There seems to be a problem with the command parser in the F14 gnuplot version (gnuplot-4.4.0-5.fc14.i686), which is not present in earlier or later versions


Version-Release number of selected component (if applicable):
gnuplot-4.4.0-5.fc14.i686

How reproducible:
every time


Steps to Reproduce:
1. drop the attached file into a working directory and untar it: one script and two data files
2. from a terminal on the desktop, enter gnuplot
3. enter load "plot"
  
Actual results:
Terminal responds with an error, and only one of the two shapes is drawn:
gnuplot> load "test"

gnuplot> splot "p0"  with points 2 , "p1" with points 3
                                 ^
         "test", line 7: ';' expected



Expected results:
Two shapes should be drawn into the 3d drawing space

Additional info:
The gnuplot code was originally written on an old FC install. It also works on F15, so I suspect that it's just the ".0" package that's broken.

Comment 1 Peter Schiffer 2012-07-18 15:37:16 UTC
Hi Tim,

I am looking into this, and I see that this test doesn't work on F16 and later (gnuplot 4.4 and 4.6).

What should the numbers 2 and 3 represents? According to the official documentation [1] page 90, you are missing the keyword before that numbers..

peter

[1] http://www.gnuplot.info/docs_4.6/gnuplot.pdf

Comment 2 Tim Coote 2012-07-20 20:25:03 UTC
Hi Peter,

I see what you mean. iirc, the numbers represent the point types. I'd guess that if the manual's been like this for some time, then I misread it and it worked despite my bad code.

If I insert the pt, it seems ok.  I cannot even find a copy of the manual that supports my code, so it must be my mistake.

Tim

Comment 3 Peter Schiffer 2012-07-23 11:59:35 UTC
Thanks Tim. I am closing this as NOTABUG.

peter


Note You need to log in before you can comment on or make changes to this bug.